## ros-foxy-spdlog-vendor 1.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(spdlog_vendor)

find_package(ament_cmake REQUIRED)

option(FORCE_BUILD_VENDOR_PKG
  "Build spdlog from source, even if system-installed package is available"
  OFF)

if(NOT FORCE_BUILD_VENDOR_PKG)
  find_package(spdlog QUIET)
endif()

macro(build_spdlog)
  set(extra_cmake_args)
  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
    if(ANDROID)
      if(DEFINED ANDROID_ABI)
        list(APPEND extra_cmake_args "-DANDROID_ABI=${ANDROID_ABI}")
      endif()
      if(DEFINED ANDROID_CPP_FEATURES)
        list(APPEND extra_cmake_args "-DANDROID_CPP_FEATURES=${ANDROID_CPP_FEATURES}")
      endif()
      if(DEFINED ANDROID_FUNCTION_LEVEL_LINKING)
        list(APPEND extra_cmake_args "-DANDROID_FUNCTION_LEVEL_LINKING=${ANDROID_FUNCTION_LEVEL_LINKING}")
      endif()
      if(DEFINED ANDROID_NATIVE_API_LEVEL)
        list(APPEND extra_cmake_args "-DANDROID_NATIVE_API_LEVEL=${ANDROID_NATIVE_API_LEVEL}")
      endif()
      if(DEFINED ANDROID_NDK)
        list(APPEND extra_cmake_args "-DANDROID_NDK=${ANDROID_NDK}")
      endif()
      if(DEFINED ANDROID_STL)
        list(APPEND extra_cmake_args "-DANDROID_STL=${ANDROID_STL}")
      endif()
      if(DEFINED ANDROID_TOOLCHAIN_NAME)
        list(APPEND extra_cmake_args "-DANDROID_TOOLCHAIN_NAME=${ANDROID_TOOLCHAIN_NAME}")
      endif()
    endif()
  else()
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}")
  list(APPEND extra_cmake_args "-DSPDLOG_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DSPDLOG_BUILD_EXAMPLE=OFF")
  if(NOT WIN32)
    # TODO(karsten1987): re-address this once upstream ticket is resolved:
    # https://github.com/fmtlib/fmt/issues/1604
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS} -Wno-sign-conversion")
    list(APPEND extra_cmake_args "-DSPDLOG_BUILD_SHARED=ON")
  endif()

  include(ExternalProject)
  find_package(Patch REQUIRED)

  # Get spdlog 1.5.0
  externalproject_add(spdlog-1.5.0
    URL https://github.com/gabime/spdlog/archive/v1.5.0.tar.gz
    URL_MD5 a966eea01f81551527853d282896cb4d
    TIMEOUT 600
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install
      ${extra_cmake_args}
    PATCH_COMMAND
    ${Patch_EXECUTABLE} -p1 -N < ${CMAKE_CURRENT_SOURCE_DIR}/gnuinstalldirs-after-project.patch
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}
  )
endmacro()

if(NOT spdlog_FOUND OR "${spdlog_VERSION}" VERSION_LESS 1.5.0)
  build_spdlog()
endif()

# TODO(blast545): This section and package.xml should be updated once copyright auto is solved. See: https://github.com/ament/ament_lint/issues/237
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# this ensures that the package has an environment hook setting the PATH
ament_package()

=== debian/changelog ===
ros-foxy-spdlog-vendor (1.1.3-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#25 <https://github.com/ros2/spdlog_vendor/issues/25>)
  * Updated QD links to foxy
  * Updated QD to 1 (#16 <https://github.com/ros2/spdlog_vendor/issues/16>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#13 <https://github.com/ros2/spdlog_vendor/issues/13>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Simon Honigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 08 Apr 2021 07:00:00 -0000

ros-foxy-spdlog-vendor (1.1.2-1focal) focal; urgency=high

  * Add an external package QD for the spdlog library (#8 <https://github.com/ros2/spdlog_vendor/issues/8>)
  * Remove included extra ament_copyright (#12 <https://github.com/ros2/spdlog_vendor/issues/12>)
  * Enable Copyright linter tests + Add Contributing.md file (#11 <https://github.com/ros2/spdlog_vendor/issues/11>)
  * Add quality declaration spdlog_vendor (#6 <https://github.com/ros2/spdlog_vendor/issues/6>)
  * Contributors: Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-spdlog-vendor (1.1.1-1focal) focal; urgency=high

  * Silence warning from GNUInstallDirs on Windows. (#10 <https://github.com/ros2/spdlog_vendor/issues/10>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-spdlog-vendor (1.1.0-1focal) focal; urgency=high

  * suppress sign conversion warning (#7 <https://github.com/ros2/spdlog_vendor/issues/7>)
  * Fix linting (#3 <https://github.com/ros2/spdlog_vendor/issues/3>)
  * Spdlog vendor update (#2 <https://github.com/ros2/spdlog_vendor/issues/2>)
  * Enable linter tests on spdlog_vendor (#1 <https://github.com/ros2/spdlog_vendor/issues/1>)
  * Contributors: Anas Abou Allaban, Chris Lalancette, Jorge Perez, Karsten Knese

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 10 Apr 2020 07:00:00 -0000

ros-foxy-spdlog-vendor (1.0.1-1focal) focal; urgency=high

  * Add spdlog depend to the package.xml
  * Don't build the benchmark, tests, or examples.
  * Initial commit.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Oct 2019 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-spdlog-vendor
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libspdlog-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: https://github.com/gabime/spdlog
Standards-Version: 3.9.2

Package: ros-foxy-spdlog-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspdlog-dev, ros-foxy-ros-workspace
Description: Wrapper around spdlog, providing nothing but a dependency on spdlog, on some systems.
 On others, it provides an ExternalProject build of spdlog.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-spdlog-vendor//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
